import { glob } from "glob";
import { process, tailwind } from "./pipeline.js";
import chalk from "chalk";
import { Worker, workerData } from "node:worker_threads";

(async () => {
  //const files = await glob("src/**");
  const components = await glob("components/**");

  const done = await Promise.all([
    tailwind(),
    ...components.map(async (path) => await process(path)),
    //files.map(async (path) => await process(path)),
    /*new Promise(async (resolve, reject) => {
      const worker = new Worker('./.fonts.js', {
        workerData: 'src/fonts/*.{woff2,ttf}',
      });
      worker.on('message', resolve);
      worker.on('error', (e) => reject(e));
    })*/
  ]);

  console.log(chalk.hex("#6cc900").bold(`🎉 Done`));
})();
